---     
tags: 
  - Points
description: Returns the specified point if it exists and the user has access to view it - the user needs access to the region and layer.<br/>
 Optionally request the data be retrieved from a particular database by providing a database parameter in the header or URL params.  Defaults to 'uk' if not set or invalid.
 <br/>Optionally specify the layer(s) by providing a string-encoded array - e.g. `'["asc"]'`.  Will default to `'["asc", "desc"]'`.
 <br/><strong>OPTIONAL</strong> `start_date`, `end_date` integers to recalculate the velocity value.  If invalid dates are entered, they are ignored (e.g. end date before start date).  If the user doesn't have access to the end date, the latest date they have access to will be used instead.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: header
    name: Database
    type: string
    required: false
  - in: header
    name: Layers
    type: string
    required: false
  - in: query
    name: database
    type: string
    required: false    
  - in: path
    name: point_id
    type: string
    required: true
    schema:
      example: '132A_03817_131313_6111_35436'
  - in: query
    name: start_date
    type: int
    required: false
  - in: query
    name: end_date
    type: int
    required: false      
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
      example: { "coordinates": [0, 1], "displacements": {"2023-01-01": 1, "2023-01-02": 2}, "id": "132A_03817_131313_6111_35436", "rmse": 1.1, "velocity": 1.2 }
  404:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Point not found or insufficient access'
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

